et-predict - Added et-predict to the installer. Note: the current application is just a skeleton. There is only a base map with logic yet

This commit is contained in:
thetechprepper
2025-09-04 06:07:41 -07:00
parent 3565e9e3aa
commit 81870f7275
4 changed files with 36 additions and 2 deletions
@@ -12,7 +12,7 @@ show-desktop-icons = false
picture-uri = 'file:///usr/share/backgrounds/emcomm-tools-wallpaper.png' picture-uri = 'file:///usr/share/backgrounds/emcomm-tools-wallpaper.png'
[org.gnome.shell] [org.gnome.shell]
favorite-apps = ['emcomm-tools.desktop', 'js8call.desktop', 'et-aircraft.desktop', 'org.gnome.Terminal.desktop', 'navit.desktop', 'min.desktop', 'org.gnome.Nautilus.desktop'] favorite-apps = ['emcomm-tools.desktop', 'js8call.desktop', 'et-predict-app.desktop', 'et-aircraft.desktop', 'org.gnome.Terminal.desktop', 'navit.desktop', 'min.desktop', 'org.gnome.Nautilus.desktop']
last-selected-power-profile = 'performance' last-selected-power-profile = 'performance'
[org.gnome.system.location] [org.gnome.system.location]
+26
View File
@@ -0,0 +1,26 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 4 September 2025
# Purpose : Install et-predict-app
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP=et-predict-app
VERSION=1.0.0
DOWNLOAD_FILE="${APP}_${VERSION}_amd64.deb"
et-log "Installing ${APP} ${VERSION}..."
if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
URL="https://github.com/thetechprepper/${APP}/releases/download/${VERSION}/${DOWNLOAD_FILE}"
download_with_retries ${URL} ${DOWNLOAD_FILE}
mv ${DOWNLOAD_FILE} ${ET_DIST_DIR}
fi
DEBIAN_FRONTEND=noninteractive dpkg -i "${ET_DIST_DIR}/${DOWNLOAD_FILE}"
+2 -1
View File
@@ -2,7 +2,7 @@
# #
# Author : Gaston Gonzalez # Author : Gaston Gonzalez
# Date : 16 March 2024 # Date : 16 March 2024
# Updated : 16 August 2025 # Updated : 4 September 2025
# Purpose : Main installer for EmComm Tools Community (ETC) # Purpose : Main installer for EmComm Tools Community (ETC)
. ./env.sh . ./env.sh
@@ -87,3 +87,4 @@ exitIfNotRoot
# Install prediction tools # Install prediction tools
./install-voacap.sh ./install-voacap.sh
./install-et-predict.sh
+7
View File
@@ -0,0 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 4 September 2025
# Purpose : Test et-predict installation
OUT=$(which et-predict-app)
exit $?